Bug 63738 - apa1480 SCSI cards improperly referenced in the config files
apa1480 SCSI cards improperly referenced in the config files
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-04-18 03:25 EDT by Alfredo Ferrari
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-25 03:18:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alfredo Ferrari 2002-04-18 03:25:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-31enterprise i686)

Description of problem:
I noticed that at shutdown time on my laptop I was systematically getting a
kernel ops. After investigation I realized that the pcmcia config file still
references for APA1480x cards the aic7xxx_mod driver which does no longer
exists.  The card works fine, but at shutdown time the pcmcia cardmgr does not
modprobe -r aic7xxx (which is the driver actually used) and therefore the system
panics when after pcmcia shutdown tries to shutdown the scsi driver. I changed
aic7xxx_mod -> aic7xxx in the config file, but I am afraid it is too naive
(anyway it does no longer oops on shutdown), also the apa1480x setttings refer
to cb_enabler which is no longer distributed as well.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot a laptop with a pcmcia Adaptec SCSI bus card
2. DO whichever you like with the SCSI system
3. Shutdown the machine

Actual Results:  Kernel oops

Expected Results:  No problem

Additional info:
Comment 1 Alfredo Ferrari 2002-05-28 11:38:57 EDT
Still there in valhalla.... it was not such a HUGE effort to fix it...

Note You need to log in before you can comment on or make changes to this bug.